package com.ruoyi.base.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 问答库管理对象 robot_ops_faq
 *
 * @author ruoyi
 * @date 2026-05-07
 */
public class RobotOpsFaq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 问题分类字典值，字典类型：robot_faq_category */
    @Excel(name = "问题分类字典值，字典类型：robot_faq_category")
    private String categoryType;

    /** 标准问题 */
    @Excel(name = "标准问题")
    private String question;

    /** 答案内容 */
    @Excel(name = "答案内容")
    private String answer;

    /** 排序号，数字越小越靠前 */
    @Excel(name = "排序号，数字越小越靠前")
    private Long sortNo;

    /** 启用状态：0停用，1启用 */
    @Excel(name = "启用状态：0停用，1启用")
    private String status;

    /** 相似问个数 */
    @Excel(name = "相似问个数")
    private Integer similarCount;

    /** 问答相似问信息 */
    private List<RobotOpsFaqSimilar> robotOpsFaqSimilarList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setCategoryType(String categoryType)
    {
        this.categoryType = categoryType;
    }

    public String getCategoryType()
    {
        return categoryType;
    }

    public void setQuestion(String question)
    {
        this.question = question;
    }

    public String getQuestion()
    {
        return question;
    }

    public void setAnswer(String answer)
    {
        this.answer = answer;
    }

    public String getAnswer()
    {
        return answer;
    }

    public void setSortNo(Long sortNo)
    {
        this.sortNo = sortNo;
    }

    public Long getSortNo()
    {
        return sortNo;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public List<RobotOpsFaqSimilar> getRobotOpsFaqSimilarList()
    {
        return robotOpsFaqSimilarList;
    }

    public void setSimilarCount(Integer similarCount)
    {
        this.similarCount = similarCount;
    }

    public Integer getSimilarCount()
    {
        return similarCount;
    }

    public void setRobotOpsFaqSimilarList(List<RobotOpsFaqSimilar> robotOpsFaqSimilarList)
    {
        this.robotOpsFaqSimilarList = robotOpsFaqSimilarList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("categoryType", getCategoryType())
                .append("question", getQuestion())
                .append("answer", getAnswer())
                .append("sortNo", getSortNo())
                .append("status", getStatus())
                .append("similarCount", getSimilarCount())
                .append("remark", getRemark())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("robotOpsFaqSimilarList", getRobotOpsFaqSimilarList())
                .toString();
    }
}
